org.eclipse.jgit.ignore.internal

## Interface IMatcher

All Known Implementing Classes:
  AbstractMatcher, LeadingAsteriskMatcher, NameMatcher, PathMatcher, TrailingAsteriskMatcher, WildCardMatcher, WildMatcher

    public interface IMatcher

Generic string matcher

Since:
  3.6

### Field Summary

Fields
`static IMatcher` `NO_MATCH` Matcher that does not match any pattern.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `matches(String path, boolean assumeDirectory)` Matches entire given string
`boolean` `matches(String segment, int startIncl, int endExcl, boolean assumeDirectory)` Matches only part of given string

### Field Detail

#### NO_MATCH

    static final IMatcher NO_MATCH

Matcher that does not match any pattern.

### Method Detail

#### matches

    boolean matches(String path,
                    boolean assumeDirectory)

Matches entire given string

Parameters:
  `path` - string which is not null, but might be empty
  `assumeDirectory` - true to assume this path as directory (even if it doesn't end with a slash)
Returns:
  true if this matcher pattern matches given string

#### matches

    boolean matches(String segment,
                    int startIncl,
                    int endExcl,
                    boolean assumeDirectory)

Matches only part of given string

Parameters:
  `segment` - string which is not null, but might be empty
  `startIncl` - start index, inclusive
  `endExcl` - end index, exclusive
  `assumeDirectory` - true to assume this path as directory (even if it doesn't end with a slash)
Returns:
  true if this matcher pattern matches given string